com.verisign.epp.codec.registry.v01

## Class EPPRegistryInfoCmd

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPCommand
  - - com.verisign.epp.codec.gen.EPPInfoCmd
    - - com.verisign.epp.codec.registry.v01.EPPRegistryInfoCmd

- All Implemented Interfaces:
    EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

      public class EPPRegistryInfoCmd
      extends EPPInfoCmd

  Represents an EPP Registry <info> command that is used to retrieve information associated with a registry. The <registry:info> element MUST contain one of the following child elements:
  - A <registry:all> empty element that specifies whether or not to query a list of all supported zone objects by the server. Use `isAll` and `setAll` to get and set the element.
  - A <registry:name> element that contains the fully qualified zone object name for which information is requested. Use `getName` and `setName` to get and set the element.
  - A <registry:system> Element that is empty and that indicates that the registry system attributes, like maximum connections and timeouts, are queried. Use `isSystem` and `setSystem` to get and set the element.
  A valid `EPPRegistryInfoCmd` must contains one and only one of the above elements.
  `EPPRegistryInfoResp` is the concrete `EPPReponse` associated with `EPPRegistryInfoResp`.
  See Also:
    `EPPRegistryInfoResp`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` XML local name for `EPPRegistryInfoCmd`.
    `static java.lang.String` | `ELM_NAME` XML root tag for `EPPRegistryInfoCmd`.

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPCommand

      `extensions, OP_APPROVE, OP_CANCEL, OP_QUERY, OP_REJECT, OP_REQUEST, transId, TYPE_CHECK, TYPE_CREATE, TYPE_DELETE, TYPE_INFO, TYPE_LOGIN, TYPE_LOGOUT, TYPE_POLL, TYPE_RENEW, TYPE_TRANSFER, TYPE_UPDATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPRegistryInfoCmd()` `EPPRegistryInfoCmd` default constructor.
    `EPPRegistryInfoCmd(java.lang.String aTransId, boolean aAll)` `EPPRegistryInfoCmd` constructor that tries to query a list of all supported zone objects from the server.
    `EPPRegistryInfoCmd(java.lang.String aTransId, boolean aAll, boolean aSystem)` `EPPRegistryInfoCmd` constructor that tries to query a list of all supported zone objects from the server if `aAll` is `true` or query for the registry system attributes if `aSystem` is `true`.
    `EPPRegistryInfoCmd(java.lang.String aTransId, EPPRegistryZoneName aName)` `EPPRegistryInfoCmd` constructor that takes the qualified zone object name as an argument.
    `EPPRegistryInfoCmd(java.lang.String aTransId, java.lang.String aName)` `EPPRegistryInfoCmd` constructor that takes the qualified aLabel zone object name as an argument.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone `EPPRegistryInfoCmd`.
    `protected void` | `doDecode(org.w3c.dom.Element aElement)` Decode the `EPPRegistryInfoCmd` attributes from the aElement DOM Element tree.
    `protected org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPRegistryInfoCmd` instance.
    `boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPRegistryInfoCmd` with this instance.
    `EPPRegistryZoneName` | `getName()` Gets the zone name.
    `java.lang.String` | `getNamespace()` Gets the EPP command namespace associated with `EPPRegistryInfoCmd` .
    `boolean` | `hasName()` Is the name defined?
    `boolean` | `isAll()` Get the flag to query all supported zone objects.
    `boolean` | `isSystem()` Get the flag to query the registry system attributes.
    `void` | `setAll(boolean aAll)` Set the flag to query all supported zone objects.
    `void` | `setName(EPPRegistryZoneName aName)` Sets the zone name
    `void` | `setName(java.lang.String aName)` Sets the aLabel zone name
    `void` | `setSystem(boolean aSystem)` Set the flag to query the registry system attributes.

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPInfoCmd

      `doGenDecode, doGenEncode, getType`

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPCommand

      `addExtension, decode, encode, getExtension, getExtension, getExtensions, getOp, getTransId, hasExtension, hasExtensions, hasTransId, setExtension, setExtensions, setTransId, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPRegistryInfoCmd`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPRegistryInfoCmd`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPRegistryInfoCmd

          public EPPRegistryInfoCmd()

      `EPPRegistryInfoCmd` default constructor. The `all` is set to `false` and the `name` is set to `null`. Either `all` or `name` must be set before invoking `encode`.

    - #### EPPRegistryInfoCmd

          public EPPRegistryInfoCmd(java.lang.String aTransId,
                                    java.lang.String aName)

      `EPPRegistryInfoCmd` constructor that takes the qualified aLabel zone object name as an argument. Attribute `all` and attribute `system` are set to `false` .
      Parameters:
        `aTransId` - transaction Id associated with command
        `aName` - fully qualified aLabel zone object name to get information on

    - #### EPPRegistryInfoCmd

          public EPPRegistryInfoCmd(java.lang.String aTransId,
                                    EPPRegistryZoneName aName)

      `EPPRegistryInfoCmd` constructor that takes the qualified zone object name as an argument. Attribute `all` and attribute `system` are set to `false` .
      Parameters:
        `aTransId` - transaction Id associated with command
        `aName` - fully qualified zone object name to get information on

    - #### EPPRegistryInfoCmd

          public EPPRegistryInfoCmd(java.lang.String aTransId,
                                    boolean aAll)

      `EPPRegistryInfoCmd` constructor that tries to query a list of all supported zone objects from the server. Attribute `name` is set to `null` and `system` is set to `false`.
      Parameters:
        `aTransId` - transaction Id associated with command
        `aAll` - Boolean value for the `all` attribute.

    - #### EPPRegistryInfoCmd

          public EPPRegistryInfoCmd(java.lang.String aTransId,
                                    boolean aAll,
                                    boolean aSystem)

      `EPPRegistryInfoCmd` constructor that tries to query a list of all supported zone objects from the server if `aAll` is `true` or query for the registry system attributes if `aSystem` is `true`.
      Parameters:
        `aTransId` - transaction Id associated with command
        `aAll` - Boolean value for the `all` attribute.
        `aSystem` - Boolean value for the `system` attribute.

  - ### Method Detail

    - #### doEncode

          protected org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                          throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPRegistryInfoCmd` instance.
      Specified by:
        `doEncode` in class `EPPInfoCmd`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Root DOM Element representing the `EPPRegistryInfoCmd` instance.
      Throws:
        `EPPEncodeException` - Unable to encode `EPPRegistryInfoCmd` instance.

    - #### doDecode

          protected void doDecode(org.w3c.dom.Element aElement)
                           throws EPPDecodeException

      Decode the `EPPRegistryInfoCmd` attributes from the aElement DOM Element tree.
      Specified by:
        `doDecode` in class `EPPInfoCmd`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPRegistryInfoCmd` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### getNamespace

          public java.lang.String getNamespace()

      Gets the EPP command namespace associated with `EPPRegistryInfoCmd` .
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Specified by:
        `getNamespace` in interface `EPPMessage`
      Specified by:
        `getNamespace` in class `EPPCommand`
      Returns:
        `EPPRegistryMapFactory.NS`

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Compare an instance of `EPPRegistryInfoCmd` with this instance.
      Overrides:
        `equals` in class `EPPInfoCmd`
      Parameters:
        `aObject` - Object to compare with
      Returns:
        `true` if this object is the same as the aObject argument; `false` otherwise

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPRegistryInfoCmd`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `EPPCommand`
      Returns:
        clone of `EPPRegistryInfoCmd`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### hasName

          public boolean hasName()

      Is the name defined?
      Returns:
        `true` if the name is defined; `false` otherwise.

    - #### getName

          public EPPRegistryZoneName getName()

      Gets the zone name.
      Returns:
        Zone name if set; `null` otherwise.

    - #### setName

          public void setName(EPPRegistryZoneName aName)

      Sets the zone name
      Parameters:
        `aName` - Zone name

    - #### setName

          public void setName(java.lang.String aName)

      Sets the aLabel zone name
      Parameters:
        `aName` - aLabel zone name

    - #### isAll

          public boolean isAll()

      Get the flag to query all supported zone objects.
      Returns:
        `true` if client intends to query a list of all supported zone object; `false` otherwise.

    - #### setAll

          public void setAll(boolean aAll)

      Set the flag to query all supported zone objects.
      Parameters:
        `aAll` - `true` if client intends to query a list of all supported zone objects; `false` otherwise.

    - #### isSystem

          public boolean isSystem()

      Get the flag to query the registry system attributes.
      Returns:
        `true` if client intends to query the registry system attributes; `false` otherwise.

    - #### setSystem

          public void setSystem(boolean aSystem)

      Set the flag to query the registry system attributes.
      Parameters:
        `aSystem` - `true` if client intends to query a list of all supported zone objects; `false` otherwise.

Copyright © VeriSign Inc. All Rights Reserved.